Package nl.tudelft.simulation.dsol.animation.gis.map

## Class Layer

- java.lang.Object
- - nl.tudelft.simulation.dsol.animation.gis.map.Layer

All Implemented Interfaces:
  `Serializable`, `LayerInterface`

    public class Layer
    extends Object
    implements LayerInterface

This interface defines the image as defined in the mapInterface.

Copyright (c) 2020-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck
See Also:
  Serialized Form

### Constructor Summary

Constructors
`Layer()` constructs a new layer.

### Method Summary

All Methods Instance Methods Concrete Methods
`AttributeInterface` `getAttribute​(int index)` Getter for property attribute.
`List<? extends AttributeInterface>` `getAttributes()` Getter for property attributes.
`Color` `getColor()` Returns the color of the layer.
`DataSourceInterface` `getDataSource()` Getter for property dataSource.
`int` `getMaxScale()` Getter for property maxScale.
`int` `getMinScale()` Getter for property minscale.
`String` `getName()` Getter for property name.
`Color` `getOutlineColor()` gets the outline color.
`boolean` `isStatus()` Getter for property status.
`boolean` `isTransform()` Getter for property transform.
`void` `setAttributes​(List<? extends AttributeInterface> attributes)` Setter for property attributes.
`void` `setColor​(Color color)` sets the color of the layer.
`void` `setDataSource​(DataSourceInterface dataSource)` Setter for property dataSource.
`void` `setMaxScale​(int maxScale)` Setter for property maxScale.
`void` `setMinScale​(int minScale)` Setter for property minscale.
`void` `setName​(String name)` Setter for property name.
`void` `setOutlineColor​(Color outlineColor)` sets the outlineColor of the layer.
`void` `setStatus​(boolean status)` Setter for property status.
`void` `setTransform​(boolean transform)` Setter for property transform.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Layer

    public Layer()

constructs a new layer.

### Method Detail

#### getAttributes

    public List<? extends AttributeInterface> getAttributes()

Getter for property attributes.

Specified by:
  `getAttributes` in interface `LayerInterface`
Returns:
  List the value of property attributes.

#### getAttribute

    public AttributeInterface getAttribute​(int index)

Getter for property attribute.

Specified by:
  `getAttribute` in interface `LayerInterface`
Parameters:
  `index` - int; the index
Returns:
  AttributeInterface.

#### getColor

    public Color getColor()

Returns the color of the layer.

Specified by:
  `getColor` in interface `LayerInterface`
Returns:
  Color.

#### setColor

    public void setColor​(Color color)

sets the color of the layer.

Specified by:
  `setColor` in interface `LayerInterface`
Parameters:
  `color` - Color; the rgb-color

#### getDataSource

    public DataSourceInterface getDataSource()

Getter for property dataSource.

Specified by:
  `getDataSource` in interface `LayerInterface`
Returns:
  DataSourceInterface the value of property dataSource.

#### setAttributes

    public void setAttributes​(List<? extends AttributeInterface> attributes)

Setter for property attributes.

Specified by:
  `setAttributes` in interface `LayerInterface`
Parameters:
  `attributes` - List; the attributes to set

#### setDataSource

    public void setDataSource​(DataSourceInterface dataSource)

Setter for property dataSource.

Specified by:
  `setDataSource` in interface `LayerInterface`
Parameters:
  `dataSource` - DataSourceInterface; New value of property dataSource.

#### getMaxScale

    public int getMaxScale()

Getter for property maxScale.

Specified by:
  `getMaxScale` in interface `LayerInterface`
Returns:
  int the value of property maxScale.

#### setMaxScale

    public void setMaxScale​(int maxScale)

Setter for property maxScale.

Specified by:
  `setMaxScale` in interface `LayerInterface`
Parameters:
  `maxScale` - int; New value of property maxScale.

#### getMinScale

    public int getMinScale()

Getter for property minscale.

Specified by:
  `getMinScale` in interface `LayerInterface`
Returns:
  int the value of property minscale.

#### setMinScale

    public void setMinScale​(int minScale)

Setter for property minscale.

Specified by:
  `setMinScale` in interface `LayerInterface`
Parameters:
  `minScale` - int; New value of property minscale.

#### getName

    public String getName()

Getter for property name.

Specified by:
  `getName` in interface `LayerInterface`
Returns:
  String of property name.

#### setName

    public void setName​(String name)

Setter for property name.

Specified by:
  `setName` in interface `LayerInterface`
Parameters:
  `name` - String; New value of property name.

#### getOutlineColor

    public Color getOutlineColor()

gets the outline color.

Specified by:
  `getOutlineColor` in interface `LayerInterface`
Returns:
  Color the rgb-color

#### setOutlineColor

    public void setOutlineColor​(Color outlineColor)

sets the outlineColor of the layer.

Specified by:
  `setOutlineColor` in interface `LayerInterface`
Parameters:
  `outlineColor` - Color; the rgb-color

#### isStatus

    public boolean isStatus()

Getter for property status.

Specified by:
  `isStatus` in interface `LayerInterface`
Returns:
  bollean the value of property status

#### setStatus

    public void setStatus​(boolean status)

Setter for property status.

Specified by:
  `setStatus` in interface `LayerInterface`
Parameters:
  `status` - boolean; New value of property status.

#### isTransform

    public boolean isTransform()

Getter for property transform.

Specified by:
  `isTransform` in interface `LayerInterface`
Returns:
  boolean the value of property transform.

#### setTransform

    public void setTransform​(boolean transform)

Setter for property transform.

Specified by:
  `setTransform` in interface `LayerInterface`
Parameters:
  `transform` - boolean; New value of property transform.